Bug 537894 - PyQwt rebuild for sip-4.9.x (and PyQt4-4.6.x)
Summary: PyQwt rebuild for sip-4.9.x (and PyQt4-4.6.x)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyQwt
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tadej Janež
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: sip49
TreeView+ depends on / blocked
 
Reported: 2009-11-16 17:51 UTC by Rex Dieter
Modified: 2009-11-25 15:15 UTC (History)
1 user (show)

Fixed In Version: 4.3.3-7.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 14:56:39 UTC


Attachments (Terms of Use)

Description Rex Dieter 2009-11-16 17:51:47 UTC
Similar to bug #520095 , we'll need an update to PyQwt again for newer sip stack.  This update is required mostly to address a licensing problem found in the sip-4.8.x series.

Anyway, updates were recently pushed to updates-testing for F-10, F-11, F-12, and newer sip/PyQt4 are currently in the buildroots.

I can do the PyQwt rebuilds if you want, but was wary, as I noticed some slight spec differences between devel/ and previous branches.

How best do you want to proceed?

Comment 1 Rex Dieter 2009-11-16 20:40:47 UTC
I've worked to simplify the related dependencies to sip, and introduced some new sip-related rpm macros to track it's api.

Just add:
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

to the .spec.  I've done this in devel/ already.

Comment 2 Tadej Janež 2009-11-17 15:10:52 UTC
Thanks for the heads up about the updated sip and PyQt4.

Yes, there are some differences in the .spec files, but mostly in the %changelog section.
Anyway, I've updated the .spec files with the line you provided in the previous comment and issued new builds for PyQwt in F-10, F-11 and F-12. I've tested the package on F-12 and it seems to work fine.

Should I issue a new update ticket or will you combine it with the updates of sip and PyQt4?

Comment 3 Rex Dieter 2009-11-17 16:03:23 UTC
I'll combine it with sip, thanks!

Comment 4 Fedora Update System 2009-11-24 07:45:47 UTC
kdebase-workspace-4.3.3-7.fc11, kdelibs-4.3.3-4.fc11, kdebase-runtime-4.3.3-5.fc11, kdeaccessibility-4.3.3-1.fc11, kdeadmin-4.3.3-1.fc11, kdeartwork-4.3.3-1.fc11, kdebase-4.3.3-3.fc11, kdeedu-4.3.3-1.fc11, kdegames-4.3.3-2.fc11, kdegraphics-4.3.3-1.fc11, kdelibs-experimental-4.3.3-1.fc11, kdemultimedia-4.3.3-1.fc11, kdenetwork-4.3.3-4.fc11, kdepim-4.3.3-1.fc11, kdepim-runtime-4.3.3-1.fc11, kdepimlibs-4.3.3-1.fc11, kdeplasma-addons-4.3.3-1.fc11, kdesdk-4.3.3-1.fc11, kdetoys-4.3.3-1.fc11, kdeutils-4.3.3-1.fc11, konq-plugins-4.3.3-2.fc11, oxygen-icon-theme-4.3.3-1.fc11, qscintilla-2.4-7.fc11, webkitkde-0.0.2-0.1.20091109svn.fc11, kde-l10n-4.3.3-1.fc11, PyKDE-3.16.6-1.fc11, sip-4.9.2-1.fc11, PyQt4-4.6.2-1.fc11, qzion-0.4.0-5.fc11, qedje-0.4.0-4.fc11, PyQwt-5.2.0-2.fc11, PyQt-3.18.1-5.fc11, kdebindings-4.3.3-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace kdelibs kdebase-runtime kdeaccessibility kdeadmin kdeartwork kdebase kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils konq-plugins oxygen-icon-theme qscintilla webkitkde kde-l10n PyKDE sip PyQt4 qzion qedje PyQwt PyQt kdebindings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11627

Comment 5 Fedora Update System 2009-11-24 07:52:52 UTC
kdebase-workspace-4.3.3-7.fc10, kdelibs-4.3.3-4.fc10, kdebase-runtime-4.3.3-5.fc10, kdeaccessibility-4.3.3-1.fc10, kdeadmin-4.3.3-1.fc10, kdeartwork-4.3.3-1.fc10, kdebase-4.3.3-3.fc10, kdeedu-4.3.3-1.fc10, kdegames-4.3.3-2.fc10, kdegraphics-4.3.3-1.fc10, kdelibs-experimental-4.3.3-1.fc10, kdemultimedia-4.3.3-1.fc10, kdenetwork-4.3.3-4.fc10, kdepim-4.3.3-1.fc10, kdepim-runtime-4.3.3-1.fc10, kdepimlibs-4.3.3-1.fc10, kdeplasma-addons-4.3.3-1.fc10, kdesdk-4.3.3-1.fc10, kdetoys-4.3.3-1.fc10, kdeutils-4.3.3-1.fc10, konq-plugins-4.3.3-2.fc10, oxygen-icon-theme-4.3.3-1.fc10, qscintilla-2.4-7.fc10, webkitkde-0.0.2-0.1.20091109svn.fc10, kde-l10n-4.3.3-1.fc10, PyKDE-3.16.6-1.fc10, sip-4.9.2-1.fc10, PyQt4-4.6.2-1.fc10, qzion-0.4.0-5.fc10, qedje-0.4.0-4.fc10, PyQwt-5.2.0-2.fc10, PyQt-3.18.1-5.fc10, kdebindings-4.3.3-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace kdelibs kdebase-runtime kdeaccessibility kdeadmin kdeartwork kdebase kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils konq-plugins oxygen-icon-theme qscintilla webkitkde kde-l10n PyKDE sip PyQt4 qzion qedje PyQwt PyQt kdebindings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11500

Comment 6 Fedora Update System 2009-11-24 07:59:57 UTC
kdebase-workspace-4.3.3-7.fc12, kdelibs-4.3.3-4.fc12, kdebase-runtime-4.3.3-5.fc12, kde-l10n-4.3.3-1.fc12, kdeaccessibility-4.3.3-2.fc12, kdeadmin-4.3.3-1.fc12, kdeartwork-4.3.3-1.fc12, kdebase-4.3.3-3.fc12, kdeedu-4.3.3-2.fc12, kdegames-4.3.3-2.fc12, kdegraphics-4.3.3-1.fc12, kdelibs-experimental-4.3.3-1.fc12, kdemultimedia-4.3.3-2.fc12, kdenetwork-4.3.3-5.fc12, kdepim-4.3.3-1.fc12, kdepim-runtime-4.3.3-1.fc12, kdepimlibs-4.3.3-1.fc12, kdeplasma-addons-4.3.3-1.fc12, kdesdk-4.3.3-1.fc12, kdetoys-4.3.3-1.fc12, kdeutils-4.3.3-1.fc12, konq-plugins-4.3.3-2.fc12, oxygen-icon-theme-4.3.3-1.fc12, qscintilla-2.4-7.fc12, webkitkde-0.0.2-0.1.20091109svn.fc12, qzion-0.4.0-5.fc12, qedje-0.4.0-4.fc12, PyQwt-5.2.0-3.fc12, PyQt-3.18.1-5.fc12, kdebindings-4.3.3-4.fc12, PyKDE-3.16.6-1.fc12, sip-4.9.2-1.fc12, PyQt4-4.6.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace kdelibs kdebase-runtime kde-l10n kdeaccessibility kdeadmin kdeartwork kdebase kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils konq-plugins oxygen-icon-theme qscintilla webkitkde qzion qedje PyQwt PyQt kdebindings PyKDE sip PyQt4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11503

Comment 7 Fedora Update System 2009-11-25 14:56:08 UTC
kdebase-workspace-4.3.3-7.fc10, kdelibs-4.3.3-4.fc10, kdebase-runtime-4.3.3-5.fc10, kdeaccessibility-4.3.3-1.fc10, kdeadmin-4.3.3-1.fc10, kdeartwork-4.3.3-1.fc10, kdebase-4.3.3-3.fc10, kdeedu-4.3.3-1.fc10, kdegames-4.3.3-2.fc10, kdegraphics-4.3.3-1.fc10, kdelibs-experimental-4.3.3-1.fc10, kdemultimedia-4.3.3-1.fc10, kdenetwork-4.3.3-4.fc10, kdepim-4.3.3-1.fc10, kdepim-runtime-4.3.3-1.fc10, kdepimlibs-4.3.3-1.fc10, kdeplasma-addons-4.3.3-1.fc10, kdesdk-4.3.3-1.fc10, kdetoys-4.3.3-1.fc10, kdeutils-4.3.3-1.fc10, konq-plugins-4.3.3-2.fc10, oxygen-icon-theme-4.3.3-1.fc10, qscintilla-2.4-7.fc10, webkitkde-0.0.2-0.1.20091109svn.fc10, kde-l10n-4.3.3-1.fc10, sip-4.9.3-1.fc10, PyKDE-3.16.6-1.fc10, PyQt4-4.6.2-1.fc10, qzion-0.4.0-5.fc10, qedje-0.4.0-4.fc10, PyQwt-5.2.0-2.fc10, PyQt-3.18.1-5.fc10, kdebindings-4.3.3-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-11-25 15:06:43 UTC
kdebase-workspace-4.3.3-7.fc11, kdelibs-4.3.3-4.fc11, kdebase-runtime-4.3.3-5.fc11, kdeaccessibility-4.3.3-1.fc11, kdeadmin-4.3.3-1.fc11, kdeartwork-4.3.3-1.fc11, kdebase-4.3.3-3.fc11, kdeedu-4.3.3-1.fc11, kdegames-4.3.3-2.fc11, kdegraphics-4.3.3-1.fc11, kdelibs-experimental-4.3.3-1.fc11, kdemultimedia-4.3.3-1.fc11, kdenetwork-4.3.3-4.fc11, kdepim-4.3.3-1.fc11, kdepim-runtime-4.3.3-1.fc11, kdepimlibs-4.3.3-1.fc11, kdeplasma-addons-4.3.3-1.fc11, kdesdk-4.3.3-1.fc11, kdetoys-4.3.3-1.fc11, kdeutils-4.3.3-1.fc11, konq-plugins-4.3.3-2.fc11, oxygen-icon-theme-4.3.3-1.fc11, qscintilla-2.4-7.fc11, webkitkde-0.0.2-0.1.20091109svn.fc11, sip-4.9.3-1.fc11, kde-l10n-4.3.3-1.fc11, PyKDE-3.16.6-1.fc11, PyQt4-4.6.2-1.fc11, qzion-0.4.0-5.fc11, qedje-0.4.0-4.fc11, PyQwt-5.2.0-2.fc11, PyQt-3.18.1-5.fc11, kdebindings-4.3.3-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-11-25 15:14:47 UTC
kdebase-workspace-4.3.3-7.fc12, kdelibs-4.3.3-4.fc12, kdebase-runtime-4.3.3-5.fc12, kde-l10n-4.3.3-1.fc12, kdeaccessibility-4.3.3-2.fc12, kdeadmin-4.3.3-1.fc12, kdeartwork-4.3.3-1.fc12, kdebase-4.3.3-3.fc12, kdeedu-4.3.3-2.fc12, kdegames-4.3.3-2.fc12, kdegraphics-4.3.3-1.fc12, kdelibs-experimental-4.3.3-1.fc12, kdemultimedia-4.3.3-2.fc12, kdenetwork-4.3.3-5.fc12, kdepim-4.3.3-1.fc12, kdepim-runtime-4.3.3-1.fc12, kdepimlibs-4.3.3-1.fc12, kdeplasma-addons-4.3.3-1.fc12, kdesdk-4.3.3-1.fc12, kdetoys-4.3.3-1.fc12, kdeutils-4.3.3-1.fc12, konq-plugins-4.3.3-2.fc12, oxygen-icon-theme-4.3.3-1.fc12, qscintilla-2.4-7.fc12, webkitkde-0.0.2-0.1.20091109svn.fc12, sip-4.9.3-1.fc12, qzion-0.4.0-5.fc12, qedje-0.4.0-4.fc12, PyQwt-5.2.0-3.fc12, PyQt-3.18.1-5.fc12, kdebindings-4.3.3-4.fc12, PyKDE-3.16.6-1.fc12, PyQt4-4.6.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.